diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 675940a..98db79d 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -1254,6 +1254,7 @@ void frmMain::StoreServers()
 
 	// Write the server count
 	settings->WriteInt(wxT("Servers/Count"), numServers);
+	settings->FlushChanges(false);
 	wxLogInfo(wxT("Stored %d servers."), numServers);
 }
 
diff --git a/pgadmin/include/utils/sysSettings.h b/pgadmin/include/utils/sysSettings.h
index 37bdf4d..0199bc6 100644
--- a/pgadmin/include/utils/sysSettings.h
+++ b/pgadmin/include/utils/sysSettings.h
@@ -29,6 +29,11 @@ public:
 	bool GetDisplayOption(const wxString &objtype, bool GetDefault = false);
 	void SetDisplayOption(const wxString &objtype, bool display);
 
+	void FlushChanges()
+	{
+		wxConfig::Flush();
+	}
+
 	// Log
 	wxString GetLogFile();
 	void SetLogFile(const wxString &newval)
